part of '../boxw.dart';

class BoxWConfig {
  BoxWConfig._();

  /// BoxW radius
  static double radius = 12;

  /// Dialog radius
  static double dialogRadius = 12;

  /// BoxW border color
  static Color? borderColor;

  /// BoxW background color
  static Color? backgroundColor;

  /// Set default value
  static void set({
    double? radius,
    double? dialogRadius,
    Color? borderColor,
    Color? backgroundColor,
  }) {
    BoxWConfig.radius = radius ?? BoxWConfig.radius;
    BoxWConfig.dialogRadius = dialogRadius ?? BoxWConfig.dialogRadius;
    BoxWConfig.borderColor = borderColor ?? BoxWConfig.borderColor;
    BoxWConfig.backgroundColor = backgroundColor ?? BoxWConfig.backgroundColor;
  }
}
