import 'package:flutter/foundation.dart';

/// Create a warning [message] if the [condition] is false.
warn(
  bool condition,
  String message, {
  int backgroundColor = 229,
  int foregroundColor = 0,
}) {
  if (condition) return;
  debugPrint('${_bg(backgroundColor)}${_fg(foregroundColor)}[Warn] $message');
}

// generate the control codes to set console colors:
_bg(int color) => '\x1B[48;5;${color}m';
_fg(int color) => '\x1B[38;5;${color}m';

/*
printColorTest() {
    String str = '';
    for (int i=0; i<256; i++) {
      str += '\x1B[48;5;${i}m$i ';
    }
    debugPrint(str);
}
*/